#pragma once
#include "Mod.h"

class Sounds : public Mod {
public:
	float volume = 1.f;

	int damage = 0;
	Sounds() : Mod(_("Sounds"), _("Pop the minecraft sounds."), Category::OTHER) {
		settings.push_back(new Setting{ _("Volume"), &volume, new float(2.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Damage"), &damage, new int(2), new int(0), 1, {
			_("Vanilla"),
			_("Pop"),
			_("Dig")
			}, true });

		enabled = false;
	}

private:
	virtual auto onAttack(Actor& actor) -> void override;
};
